Loading...
Searching...
No Matches
icu::DateInterval Class Reference

This class represents a date interval. More...

`#include <dtintrv.h>`

Inheritance diagram for icu::DateInterval:

## Public Member Functions

| DateInterval (UDate fromDate, UDate toDate)
| Construct a DateInterval given a from date and a to date.
virtual | ~DateInterval ()
| destructor
UDate | getFromDate () const
| Get the from date.
UDate | getToDate () const
| Get the to date.
virtual UClassID | getDynamicClassID () const override
| Returns a unique class ID POLYMORPHICALLY.
| DateInterval (const DateInterval &other)
| Copy constructor.
DateInterval & | operator= (const DateInterval &)
| Default assignment operator.
virtual bool | operator== (const DateInterval &other) const
| Equality operator.
bool | operator!= (const DateInterval &other) const
| Non-equality operator.
virtual DateInterval * | clone () const
| clone this object.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.

## Static Public Member Functions

static UClassID | getStaticClassID ()
| Return the class ID for this class.

## Detailed Description

This class represents a date interval.

It is a pair of UDate representing from UDate 1 to UDate 2.

Stable
  ICU 4.0

Definition at line 36 of file dtintrv.h.

## Constructor & Destructor Documentation

## DateInterval() [1/2]

icu::DateInterval::DateInterval | ( | UDate | fromDate,
|  | UDate | toDate )

Construct a DateInterval given a from date and a to date.

Parameters

  fromDate | The from date in date interval.
  toDate | The to date in date interval.

Stable
  ICU 4.0

Referenced by clone(), DateInterval(), operator!=(), operator=(), and operator==().

## ~DateInterval()

virtual icu::DateInterval::~DateInterval | ( |  | ) |

virtual

destructor

Stable
  ICU 4.0

References getFromDate(), and getToDate().

## DateInterval() [2/2]

icu::DateInterval::DateInterval | ( | const DateInterval & | other | ) |

Copy constructor.

Stable
  ICU 4.0

References DateInterval().

## Member Function Documentation

## clone()

virtual DateInterval * icu::DateInterval::clone | ( |  | ) | const

virtual

clone this object.

The caller owns the result and should delete it when done.

Returns
  a cloned DateInterval

Stable
  ICU 4.0

References DateInterval().

## getDynamicClassID()

virtual UClassID icu::DateInterval::getDynamicClassID | ( |  | ) | const

override virtual

Returns a unique class ID POLYMORPHICALLY.

Pure virtual override. This method is to implement a simple version of RTTI, since not all C++ compilers support genuine RTTI. Polymorphic operator==() and clone() methods call this method.

Returns
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable
  ICU 4.0

Reimplemented from icu::UObject.

## getFromDate()

UDate icu::DateInterval::getFromDate | ( |  | ) | const

inline

Get the from date.

Returns
  the from date in dateInterval.

Stable
  ICU 4.0

Definition at line 142 of file dtintrv.h.

References getFromDate().

Referenced by getFromDate(), and ~DateInterval().

## getStaticClassID()

UClassID icu::DateInterval::getStaticClassID | ( |  | ) |

static

Return the class ID for this class.

This is useful only for comparing to a return value from getDynamicClassID(). For example:

    .   Base* polymorphic_pointer = createPolymorphicObject();
    .   if (polymorphic_pointer->getDynamicClassID() ==
    .       derived::getStaticClassID()) ...

Returns
  The class ID for all objects of this class.

Stable
  ICU 4.0

## getToDate()

UDate icu::DateInterval::getToDate | ( |  | ) | const

inline

Get the to date.

Returns
  the to date in dateInterval.

Stable
  ICU 4.0

Definition at line 148 of file dtintrv.h.

References getToDate().

Referenced by getToDate(), and ~DateInterval().

## operator!=()

bool icu::DateInterval::operator!= | ( | const DateInterval & | other | ) | const

inline

Non-equality operator.

Returns
  true if the two DateIntervals are not the same

Stable
  ICU 4.0

Definition at line 154 of file dtintrv.h.

References DateInterval(), and operator!=().

Referenced by operator!=().

## operator=()

DateInterval & icu::DateInterval::operator= | ( | const DateInterval & |  | ) |

Default assignment operator.

Stable
  ICU 4.0

References DateInterval().

## operator==()

virtual bool icu::DateInterval::operator== | ( | const DateInterval & | other | ) | const

virtual

Equality operator.

Returns
  true if the two DateIntervals are the same

Stable
  ICU 4.0

References DateInterval().

The documentation for this class was generated from the following file:

- common/unicode/dtintrv.h